using DataSharing.Share.Dtos.Province.HuiJu;
using FluentValidation;

namespace DataSharing.Validators.HuiJu
{
    public class SubmitCaseInfoValidator : AbstractValidator<SubmitCaseInfo>
    {
        public SubmitCaseInfoValidator()
        {
            RuleFor(d => d.CaseTitle).NotEmpty();
            RuleFor(d => d.CaseRegister).NotEmpty();
            //RuleFor(d => d.CaseRegisterNo).NotEmpty();
            RuleFor(d => d.CaseDate).NotEmpty();
            RuleFor(d => d.CaseSource).NotEmpty();
            RuleFor(d => d.PhoneNumber).NotEmpty();
            RuleFor(d => d.AppLicantName).NotEmpty();
            RuleFor(d => d.AppLicantSex).NotEmpty();
            RuleFor(d => d.CaseType).NotEmpty();
            RuleFor(d => d.CaseAccord).NotEmpty();
            RuleFor(d => d.CaseContent).NotEmpty();
            RuleFor(d => d.CaseProcessType).NotEmpty();
            RuleFor(d => d.CaseIsPublic).NotEmpty();
            RuleFor(d => d.CaseIsSecrect).NotEmpty();
            RuleFor(d => d.CaseIsVisit).NotEmpty();
            RuleFor(d => d.CaseValid).NotEmpty();
            RuleFor(d => d.CaseIsUrgent).NotEmpty();
            RuleFor(d => d.AreaCode).NotEmpty();
            RuleFor(d => d.CaseSerial).NotEmpty();
            RuleFor(d => d.EventDate).NotEmpty();
            RuleFor(d => d.ThemeSerial).NotEmpty();
            RuleFor(d => d.CliengGuid).NotEmpty();
        }
    }
}
